package siprp.update.updates;

import com.evolute.module.updater.AbstractUpdate;

/**
 *
 * @author fpalma
 */
public class V8_6_To_V8_7 extends AbstractUpdate
{
	
	public V8_6_To_V8_7()
	{
		super(8.6,8.7,"Adicionados campos data_envio e data_recepcao a cada instancia de ECD");
	}
	
	@Override
	public void doUpdate() throws Exception
	{
		com.evolute.utils.sql.Update update = 
			new com.evolute.utils.sql.Update( 
				"ALTER TABLE trabalhadores_ecd ADD data_envio DATE;" );
		getExecuter().executeQuery( update );
		update = 
			new com.evolute.utils.sql.Update( 
				"ALTER TABLE trabalhadores_ecd ADD data_recepcao DATE;" );
		getExecuter().executeQuery( update );
	}
	
}
